Subject: RE: B19.1: Bug in compiled version of find from Findutils4.1
From: [email-masked] (Zow Terry Brugger)

5 May 1998 21:41:35 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "'Antony C. Roberts'" <[email-masked]>,
        "[email-masked]"
	 <[email-masked]>

It sounds to me like the same problem as rm -r has in that GNU-Win32 determines if there are cycles in the file system judging by the names (and contents?) I bet that find is seeing these "cycles" and stopping. Can anyone verify this?

Terry

-----Original Message-----
From:	Antony C. Roberts [SMTP:[email-masked]]
Sent:	Monday, May 04, 1998 5:07 AM
To:	[email-masked]
Subject:	B19.1: Bug in compiled version of find from Findutils4.1

Hi,

I have the following problem with the version of find that
ships with B19.1. If I create a directory called
/00/00/00/00/00 and then run find on /00 it stops searching
after /00/00/00!

The problem always occurs when the first three directories
have the same name (eg /tt/tt/tt/tt, /mm33/mm33/mm33/mm33,
etc) and contain no files.

I obtained the latest version from the GNU source archive
(finutils-4.1) and compiled in on a Solaris machine. It
worked OK. I took the same code and compiled it under the
B19.1 CDK and it produced the same results as described
above (it didn't work).

An API error?

Cheers beers,

Ant.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".